<?php
include "header.php";
?>

<style>
   
    .profile-container {
        background-color: white;
        padding: 40px;
        border-radius: 12px;
        box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
        width: 100%;
        max-width: 450px;
        transition: transform 0.3s ease;
    }

    .profile-container:hover {
        transform: scale(1.02);
    }

    h2 {
        text-align: center;
        color: #333;
        margin-bottom: 30px;
        font-size: 24px;
    }

    label {
        font-size: 14px;
        font-weight: bold;
        margin-bottom: 8px;
        color: #333;
    }

    .input-field {
        width: 100%;
        padding: 12px;
        margin-bottom: 20px;
        border: 1px solid #ccc;
        border-radius: 8px;
        font-size: 14px;
        box-sizing: border-box;
        transition: border-color 0.3s ease;
    }

    .input-field:focus {
        outline: none;
        border-color: #FF6347;
    }

    .submit-btn, .exit-btn {
        width: 100%;
        padding: 12px;
        border: none;
        border-radius: 8px;
        cursor: pointer;
        font-size: 16px;
        font-weight: bold;
        text-transform: uppercase;
        transition: background-color 0.3s ease, transform 0.3s ease;
    }

    .submit-btn {
        background-color: #FF6347;
        color: white;
    }

    .submit-btn:hover {
        background-color: #e5533c;
        transform: scale(1.05);
    }

    .exit-btn {
        background-color: #f44336;
        color: white;
        margin-top: 10px;
    }

    .exit-btn:hover {
        background-color: #e53935;
        transform: scale(1.05);
    }

    .exit-btn:focus {
        outline: none;
    }

    .form-container {
        max-width: 500px;
        width: 100%;
        margin: 0 auto;
    }

    .form-actions {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-top: 10px;
    }
    
    .form-actions a {
        font-size: 14px;
        color: #FF6347;
        text-decoration: none;
    }

    .form-actions a:hover {
        text-decoration: underline;
    }

    .show-password-btn {
        font-size: 14px;
        background: none;
        border: none;
        color: #FF6347;
        cursor: pointer;
    }
</style>

<div class="container">
    <div class="form-container">
        <div class="profile-container">
            <h2>Change Password</h2>

            <form method="post" action="update_password.php" enctype="multipart/form-data" onsubmit="return validatePassword();">

                <label for="admin_password">New Password:</label>
                <input type="password" class="input-field" id="admin_password" name="admin_password" required><br>

                <label for="confirm_password">Confirm Password:</label>
                <input type="password" class="input-field" id="confirm_password" name="confirm_password" required><br>
				<input type="hidden" class="input-field" id="aid" value="<?=$aid;?>" name="aid">

                <!-- Show/Hide Password Toggle -->
                <input type="checkbox" class="show-password-btn" onclick="togglePasswordVisibility()"> Show Password<br>

                <script>
    // Validate password (basic rules)
    function validatePassword() {
        var password = document.getElementById("admin_password").value;
        var confirm_password = document.getElementById("confirm_password").value;
        
        // Regular expression: At least 8 characters, one letter, one number, and one special character
        var passwordRegex = /^(?=.*[A-Za-z])(?=.*\d)(?=.*[!@#$%^&*(),.?":{}|<>])[A-Za-z\d!@#$%^&*(),.?":{}|<>]{8,}$/;

        // Check if passwords match
        if (password != confirm_password) {
            alert("Passwords do not match!");
            return false;
        }

        // Check if the password matches the regex (at least one letter, one number, one special character, and 8 characters)
        if (!passwordRegex.test(password)) {
            alert("Password must be at least 8 characters long, contain at least one letter, one number, and one special character.");
            return false;
        }

        return true;
    }

    // Toggle password visibility
    function togglePasswordVisibility() {
        var passwordField = document.getElementById("admin_password");
        var confirmPasswordField = document.getElementById("confirm_password");

        if (passwordField.type === "password") {
            passwordField.type = "text";
            confirmPasswordField.type = "text";
        } else {
            passwordField.type = "password";
            confirmPasswordField.type = "password";
        }
    }
</script>


                <button type="submit" class="submit-btn">Change Password</button>
            </form>

            <div class="form-actions">
                <a href="index.php" class="btn">Exit</a>
            </div>
        </div>
    </div>
</div>

<?php
include "footer.php";
?>
